Package ghidra.app.util.bin.format.macos.asd

# Class EntryDescriptorID

java.lang.Object
ghidra.app.util.bin.format.macos.asd.EntryDescriptorID

public final class EntryDescriptorID extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `ENTRY_AFP_FILE_INFO`
  AFP file information, attributes, etc.
  `static final int`
  `ENTRY_COMMENT`
  Standard Macintosh comment.
  `static final int`
  `ENTRY_DATA_FORK`
  The data fork.
  `static final int`
  `ENTRY_DIRECTORY_ID`
  AFP directory ID.
  `static final int`
  `ENTRY_FILE_DATE_INFO`
  File creation date, modification date, etc.
  `static final int`
  `ENTRY_FINDER_INFO`
  Standard Macintosh Finder information.
  `static final int`
  `ENTRY_ICON_BW`
  Standard Macintosh black-and-white icon.
  `static final int`
  `ENTRY_ICON_COLOR`
  Macintosh color icon.
  `static final int`
  `ENTRY_MAC_FILE_INFO`
  Macintosh file information, attributes, etc.
  `static final int`
  `ENTRY_MSDOS_FILE_INFO`
  MS-DOS file information, attributes, etc.
  `static final int`
  `ENTRY_PRODOS_FILE_INFO`
  ProDOS file information, attributes, etc.
  `static final int`
  `ENTRY_REAL_NAME`
  File's name as created on home file system.
  `static final int`
  `ENTRY_RESOURCE_FORK`
  The resource fork.
  `static final int`
  `ENTRY_SHORT_NAME`
  AFP short name.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EntryDescriptorID()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static final String`
  `convertEntryIdToName(int entryID)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ENTRY_DATA_FORK

    public static final int ENTRY_DATA_FORK
    The data fork.
    See Also:
      - Constant Field Values

  - ### ENTRY_RESOURCE_FORK

    public static final int ENTRY_RESOURCE_FORK
    The resource fork.
    See Also:
      - Constant Field Values

  - ### ENTRY_REAL_NAME

    public static final int ENTRY_REAL_NAME
    File's name as created on home file system.
    See Also:
      - Constant Field Values

  - ### ENTRY_COMMENT

    public static final int ENTRY_COMMENT
    Standard Macintosh comment.
    See Also:
      - Constant Field Values

  - ### ENTRY_ICON_BW

    public static final int ENTRY_ICON_BW
    Standard Macintosh black-and-white icon.
    See Also:
      - Constant Field Values

  - ### ENTRY_ICON_COLOR

    public static final int ENTRY_ICON_COLOR
    Macintosh color icon.
    See Also:
      - Constant Field Values

  - ### ENTRY_FILE_DATE_INFO

    public static final int ENTRY_FILE_DATE_INFO
    File creation date, modification date, etc.
    See Also:
      - Constant Field Values

  - ### ENTRY_FINDER_INFO

    public static final int ENTRY_FINDER_INFO
    Standard Macintosh Finder information.
    See Also:
      - Constant Field Values

  - ### ENTRY_MAC_FILE_INFO

    public static final int ENTRY_MAC_FILE_INFO
    Macintosh file information, attributes, etc.
    See Also:
      - Constant Field Values

  - ### ENTRY_PRODOS_FILE_INFO

    public static final int ENTRY_PRODOS_FILE_INFO
    ProDOS file information, attributes, etc.
    See Also:
      - Constant Field Values

  - ### ENTRY_MSDOS_FILE_INFO

    public static final int ENTRY_MSDOS_FILE_INFO
    MS-DOS file information, attributes, etc.
    See Also:
      - Constant Field Values

  - ### ENTRY_SHORT_NAME

    public static final int ENTRY_SHORT_NAME
    AFP short name.
    See Also:
      - Constant Field Values

  - ### ENTRY_AFP_FILE_INFO

    public static final int ENTRY_AFP_FILE_INFO
    AFP file information, attributes, etc.
    See Also:
      - Constant Field Values

  - ### ENTRY_DIRECTORY_ID

    public static final int ENTRY_DIRECTORY_ID
    AFP directory ID.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### EntryDescriptorID

    public EntryDescriptorID()

- ## Method Details

  - ### convertEntryIdToName

    public static final String convertEntryIdToName(int entryID)